=== debian/control ===
Source: scheme9
Section: lisp
Priority: extra
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9),
	libncurses5-dev | libncurses-dev | ncurses-dev,
	libx11-dev
Standards-Version: 3.9.6
Homepage: http://www.t3x.org/s9fes/index.html
Vcs-Git: git://anonscm.debian.org/collab-maint/scheme9.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scheme9.git

Package: scheme9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scheme 9 from Empty Space R4RS Scheme interpreter
 Scheme 9 from Empty Space is an interpreter for a broad subset of
 R4RS Scheme, and runs in many popular environments, including
 Linux, *BSD, the unmentionable horror, and Plan 9.  The S9fES code
 strives to be simple and comprehensible.  It is particularly
 interesting to people who want to (a) try Scheme without having to
 jump through too many hoops (S9fES is very portable); or (b) study
 the implementation of Scheme (in a language other than Scheme).  A
 free online textbook describing the system is also available.
