=== debian/changelog ===
scheme9 (2015.07.01-2) unstable; urgency=medium

  * default definition of MAXPATHLEN for Hurd

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 09 Jul 2015 19:52:33 +0100

scheme9 (2015.07.01-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 08 Jul 2015 13:13:48 +0100
