=== debian/changelog ===
scheme9 (2015.07.14-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 23 Jul 2015 08:04:25 +0200
