=== debian/changelog ===
scheme9 (2015.08.10-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 26 Aug 2015 07:20:33 +0100
