=== debian/changelog ===
scheme9 (2015.11.08-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 Nov 2015 15:45:17 +0000
