=== debian/changelog ===
scheme9 (2015.11.19-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:45:36 +0000

scheme9 (2015.11.19-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 25 Nov 2015 09:50:27 +0000
