=== debian/changelog ===
scheme9 (2016.08.23-1) unstable; urgency=medium

  * New Upstream Version
  * bump debian version
  * more secure url
  * forward port quilt patches
  
 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 24 Aug 2016 02:28:22 +0200
