=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 	groff, ghostscript,
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.t3x.org/s9fes/index.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/scheme9.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scheme9.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/scheme9.git
 
 Package: scheme9
 Architecture: any
