=== debian/changelog ===
scheme9 (2016.11.30-1) unstable; urgency=medium

  * New Upstream Version
  * bump to debhelper 10

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 05 Dec 2016 22:05:21 +0000
