=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: lisp
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
 	groff, ghostscript,
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
