=== debian/changelog ===
scheme9 (2017.01.25-1ubuntu1) zesty; urgency=medium

  * Update existing tweak_makefile.patch to rebuild app with -fPIC.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 25 Mar 2017 12:01:59 +0530

scheme9 (2017.01.25-1) unstable; urgency=medium

  * New Upstream Release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 29 Jan 2017 17:30:24 +0000
