=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: scheme9
 Section: lisp
 Priority: extra
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 10),
 	groff, ghostscript,
 	libncurses5-dev | libncurses-dev | ncurses-dev,
