=== debian/changelog ===
scheme9 (2017.11.09-1) unstable; urgency=medium

  * New Upstream Release
  * Bump policy version
  * Manual for s9core now text rather than PDF, adjust accordingly
  * Use modern format for debian/copyright
  * Use secure URLs where possible
  * Section: optional per policy

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 15 Dec 2017 10:39:23 +0000
