=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: scheme9
 Section: lisp
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Priority: optional
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 10),
-	groff, ghostscript,
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 3.9.8
-Homepage: http://www.t3x.org/s9fes/index.html
-Vcs-Git: git://anonscm.debian.org/collab-maint/scheme9.git
+Standards-Version: 4.1.2
+Homepage: https://www.t3x.org/s9fes/index.html
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/scheme9.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/scheme9.git
 
 Package: scheme9
