=== debian/watch ===
version=3
https://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)\.tgz
https://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)([0-9].*)\.tgz
https://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d[a-zA-Z].*)\.tgz
https://t3x.org/s9fes/s9fes-(\d\d\d\d)\.tgz
