=== debian/changelog ===
scheme9 (2018.06.05-1) unstable; urgency=medium

  * New Upstream Release
  * Swizzle packaging repo to salze
  * bump to dh11
  * Bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 27 Jun 2018 20:36:51 +0100
