=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: lisp
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: https://www.t3x.org/s9fes/index.html
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/scheme9.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/scheme9.git
+Vcs-Git: https://salsa.debian.org/debian/scheme9.git
+Vcs-Browser: https://salsa.debian.org/debian/scheme9
 
 Package: scheme9
 Architecture: any
