## scheme9 2018.08.01

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Base version and Release
 BASE=		20170124
-RELEASE=	20180722
+RELEASE=	20180801
 
 # Override default compiler and flags
 CC=	cc
