=== debian/changelog ===
scheme9 (2018.08.01-1) unstable; urgency=medium

  * New Upstream Release
  * Bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 05 Aug 2018 09:12:19 +0200
