## scheme9 2018.11.04

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 PREFIX= /u
 
 # Base version and Release
-BASE=		20170124
-RELEASE=	20180801
+BASE=		20181030
+RELEASE=	20181104
 
 # Override default compiler and flags
 CC=	cc
@@ -36,9 +36,9 @@
 EXTRA_LIBS+=
 
 # Options to be added to $(DEFS)
-#	-DBITS_PER_WORD_64	# use 64-bit bignum arithmetics
 #	-DLIBRARY_PATH="\"dir:...\""
 #				# search path for LOCATE-FILE, etc
+#	-DIMAGE_DIR="\"dir\""	# location of image file
 #	-DNETWORK		# include socket code in the Unix extension
 #	-DCURSES_COLOR		# enable the CURS:SET-COLOR primitive
 #	-DCURSES_RESET		# automatically run CURS:ENDWIN on the REPL
@@ -46,6 +46,7 @@
 
 DEFS=	$(OSDEF) \
 	-DLIBRARY_PATH="\".:~/s9fes:$(S9DIR)\"" \
+	-DIMAGE_DIR="\"$(S9DIR)\"" \
 	-DEXTENSIONS="$(EXTRA_INIT)" \
 	-DNETWORK \
 	-DCURSES_COLOR \
@@ -59,7 +60,7 @@
 MANDIR=	$(PREFIX)/man/man1
 
 # Set up environment to be used during the build process
-BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext/sys-unix:ext/curses:ext/csv:contrib
+BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext/sys-unix:ext/curses:ext/csv:contrib S9FES_IMAGE_DIR=.
 
 SETPREFIX=	sed -e "s|^\#! /usr/local|\#! $(PREFIX)|"
 
@@ -99,19 +100,19 @@
 	cc -g -Wall -ansi -pedantic -O3 s9.c s9core.c && rm a.out
 
 test:	s9 test.image
-	$(BUILD_ENV) ./s9 -i test -f util/test.scm
+	$(BUILD_ENV) ./s9 -i test.image util/test.scm
 
 libtest:	s9 test.image
 	$(BUILD_ENV) sh util/libtest.sh
 
 systest:	s9 test.image s9.image
-	$(BUILD_ENV) ./s9 -i test -f util/systest.scm
+	$(BUILD_ENV) ./s9 -i test.image util/systest.scm
 
 srtest:	s9 test.image
-	$(BUILD_ENV) ./s9 -i test -f util/srtest.scm
+	$(BUILD_ENV) ./s9 -i test.image util/srtest.scm
 
 realtest:	s9 test.image
-	$(BUILD_ENV) ./s9 -i test -f util/realtest.scm
+	$(BUILD_ENV) ./s9 -i test.image util/realtest.scm
 
 test.image:	s9 s9.scm
 	$(BUILD_ENV) ./s9 -i - $(EXTRA_SCM) -d test.image
@@ -124,7 +125,7 @@
 
 # old version of install(1) may need -c
 #C=-c
-install-s9:	s9 s9.scm s9.image s9.1.gz
+install-s9:	s9 s9.scm s9.image s9.1.gz libs9core.a
 	install -d -m 0755 $(S9DIR)
 	install -d -m 0755 $(S9DIR)/help
 	install -d -m 0755 $(S9DIR)/help/sys-unix
@@ -148,7 +149,6 @@
 	install $C -m 0644 libs9core.a $(LIBDIR)
 	install $C -m 0644 s9core.h $(INCDIR)
 	install $C -m 0644 s9import.h $(INCDIR)
-	install $C -m 0755 util/make-help-links $(S9DIR)
 
 install-util:
 	$(SETPREFIX) <prog/s9help.scm >$(BINDIR)/s9help
@@ -207,47 +207,41 @@
 	@find . -name \*.scm -exec grep -l "	" {} \;
 
 cd:
-	./s9 -f util/check-descr.scm
+	./s9 -i ./s9.image -f util/check-descr.scm
 
 clean:
-	rm -f s9 s9.image libs9core.a test.image s9.1.gz *.o *.core \
+	rm -f s9 s9.image libs9core.a test.image s9.1.gz *.o *.core a.out \
 		CATEGORIES.html HACKING.html core s9fes-$(RELEASE).tgz \
 		s9fes-$(BASE).tgz s9core-$(RELEASE).tgz __testfile__ \
 		_meta _toc.tr _xref.tr _ndx.tr
 
 new-version:
-	vi Makefile s9.c CHANGES
+	vi Makefile s9.c HISTORY
 	make s9.c
 
 update-library:
 	vi util/make-docs
-	util/make-docs
-	vi util/make-help-links \
-		util/descriptions \
-		util/categories.html
-	cd help && s9 -f ../util/procedures.scm >INDEX
+	sh util/make-docs
+	vi util/descriptions util/categories.html
 	@echo
 	@echo "Now copy the new help pages from help-new to help"
-	@echo "and run util/make-help-links."
 
 s9.1.txt:	s9.1
 	$(CC) -o rpp util/rpp.c
 	nroff -c -mdoc s9.1 | ./rpp -a >s9.1.txt
 	rm -f rpp
 
-docs:	lib ext/sys-unix ext/sys-plan9 ext/curses ext/csv contrib
-	util/make-docs
+docs:	lib ext/sys-unix ext/curses ext/csv contrib
+	sh util/make-docs
 	mv -f help-new/sys-unix/* help/sys-unix
-#	mv -f help-new/sys-plan9/* help/sys-plan9
 	mv -f help-new/curses/* help/curses
 #	mv -f help-new/csv/* help/csv
-	rm help-new/sys-plan9/*
-	rmdir help-new/sys-unix help-new/sys-plan9 help-new/curses help-new/csv
+	rmdir help-new/sys-unix help-new/curses help-new/csv
 	mv -f help-new/* help
 	rmdir help-new
 
 webdump:
-	util/make-html -r $(RELEASE)
+	sh util/make-html -r $(RELEASE)
 
 advdump:	prog/advgen.scm prog/adventure.adv prog/adventure.intro
 	sed -e 's/@dir/quest/' -e 's/@file/index/g' <util/pagehead >pagehead
@@ -271,8 +265,7 @@
 
 dist:	clean s9.1.txt
 	make clean
-	cd .. && \
-		tar cf - s9 | gzip -9 > s9fes-$(RELEASE).tgz && \
+	cd .. && tar cf - s9 | gzip -9 > s9fes-$(RELEASE).tgz && \
 		mv s9fes-$(RELEASE).tgz s9
 	ls -l s9fes-$(RELEASE).tgz | awk '{print int($$5/1024+.5)}'
 
@@ -280,7 +273,7 @@
 	tar cf - s9core.[ch] s9import.h s9core.txt README.s9core \
 		| gzip -9 > s9core-$(RELEASE).tgz 
 
-arc:	clean s9.1.txt
+arc:	clean
 	cd .. && tar cf - s9 | gzip -9 > s9fes-$(BASE).tgz && \
 		mv s9fes-$(BASE).tgz s9
 	ls -l s9fes-$(BASE).tgz | awk '{print int($$5/1024+.5)}'
