=== debian/changelog ===
scheme9 (2018.11.04-1) unstable; urgency=medium

  * New upstream version
  * Forward port patches

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 05 Nov 2018 09:03:51 +0000

scheme9 (2018.11.01-1) unstable; urgency=medium

  * New upstream version
  * Disable encryption in uscan until server grows longer keys
  * Forward port patches

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 Nov 2018 10:01:45 +0000

scheme9 (2018.10.28-1) unstable; urgency=medium

  * New upstream version
  * Forward port patches
  * Add somewhat-portable word size determination patch
  * Patch declaration bug

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Oct 2018 18:15:24 +0000

scheme9 (2018.08.23-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 25 Aug 2018 19:29:21 +0100
