=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 11),
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://www.t3x.org/s9fes/index.html
 Vcs-Git: https://salsa.debian.org/debian/scheme9.git
 Vcs-Browser: https://salsa.debian.org/debian/scheme9
