=== debian/changelog ===
scheme9 (2018.12.05-2) unstable; urgency=low

  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.
  * bump to debhelper 12
  * Rules-Requires-Root: no

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 15 Aug 2020 16:25:12 +0100

scheme9 (2018.12.05-1) unstable; urgency=medium

  * New upstream version
  * bump policy version
  * bump to debhelper 12

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 21 Jan 2019 15:46:27 +0000
