=== debian/watch ===
version=3
# Disable https until the server keys grow a few bits.
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)\.tgz
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)([0-9].*)\.tgz
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d[a-zA-Z].*)\.tgz
http://t3x.org/s9fes/s9fes-(\d\d\d\d)\.tgz
