=== debian/changelog ===
scheme9 (2025.08.11-1) unstable; urgency=medium

  * New upstream version
  * Update standards version to 4.7.2, no changes needed
  * Update watch file format version to 4

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 23 Jul 2021 21:05:17 -0000
