=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,6 @@
 	 for f in advgen c2html cols dupes edoc htmlify scm2html scmpp soccat; do \
 	  mv --verbose $$f s9$$f || true; \
 	 done
+
+override_dh_installchangelogs:
+	dh_installchangelogs -- HISTORY
