=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://www.t3x.org/s9fes/index.html
 Vcs-Git: https://salsa.debian.org/debian/scheme9.git
 Vcs-Browser: https://salsa.debian.org/debian/scheme9
