=== debian/watch ===
version=4
https://t3x.org/s9fes/ s9fes-(\d\d\d\d)(\d\d)(\d\d)@ARCHIVE_EXT@
https://t3x.org/s9fes/ s9fes-(\d\d\d\d)(\d\d)(\d\d)([0-9].*)@ARCHIVE_EXT@
https://t3x.org/s9fes/ s9fes-(\d\d\d\d)(\d\d)(\d\d[a-zA-Z].*)@ARCHIVE_EXT@
https://t3x.org/s9fes/ s9fes-(\d\d\d\d)@ARCHIVE_EXT@
